<?xml version="1.0" encoding="ISO-8859-1"?>
<document>

  <properties>
    <title>XDoc Plugin Goals</title>
    <author email="dion@apache.org">dIon Gillard</author>
  </properties>

  <body>
    <goals>

      <goal>
        <name>xdoc</name>
        <description>
           The default goal. This goal simply executes the 
           <a href="#xdoc:generate-from-pom">xdoc:generate-from-pom</a>
           and <a href="#xdoc:transform">xdoc:transform</a> goals
        </description>
      </goal>
      <goal>
        <name>xdoc:generate-from-pom</name>
        <description>
           Generate a set of reports from your <code>project.xml</code> file.
           This includes the dependency, mailing list, project info, project
           reports and team list pages
        </description>
      </goal>
      <goal>
        <name>init-dvsl-tag</name>
        <description>
           This goal defines the <code>DVSL</code> tag library for generating
           documentation. A single tag <code>dvsl:dvsl</code> is defined.      
        </description>
      </goal>      
      
    </goals>      
  </body>
</document>